using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.TL
{
    /// <summary>
    /// 导航属性：监测作业附件
    /// </summary>
    [Description("监测作业附件")]
    public class T_TL_PROJECT_RECORD_CHECK_FILE : MesEntityBase
    {
        /// <summary>
        /// 单项工程记录管理
        /// </summary>
        [Description("单项工程记录管理")]
        [DataFieldForeignKey("Nav_Project", "Nav_FilesWatch")]
        public Guid PROJECT_ID { get; set; }

        /// <summary>
        /// 单项工程记录管理
        /// </summary>
        [Description("单项工程记录管理")]
        public virtual T_TL_PROJECT_RECORD Nav_Project { get; set; }

        /// <summary>
        /// 文件ID
        /// </summary>
        [Description("文件")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid IMG_FILE_ID { get; set; }

        /// <summary>
        /// 导航属性：文件
        /// </summary>
        [Description("导航属性：文件")]
        public virtual T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
